WordPress.org

Plugin Directory

Enlighter - Customizable Syntax Highlighter

Simple post syntax-highlighted code using the EnlighterJS MooTools Plugin.

System requirements

  • PHP 5.3, including json functions
  • Webbrowser with enabled Javscript (required for highlighting)
  • Accessable cache directory (/wp-content/plugins/enlighter/cache/)

Installation

  1. Download the .zip file of the plugin and extract the content
  2. Upload the complete enlighter folder to the /wp-content/plugins/ directory
  3. Activate the plugin through the 'Plugins' menu in WordPress
  4. Goto to the Enlighter settings page and select the default theme which should be used.
  5. That's it! You're done. You can select an editor style for your codefragment or enter the following code into a post or page to highlight it (e.g. javascript): [js]var enlighter = new EnlighterJS({});[/js]

Requires: 3.9 or higher
Compatible up to: 4.2.2
Last Updated: 2015-5-25
Active Installs: 1,000+

Ratings

4.4 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

1 person says it works.
0 people say it's broken.

100,1,1
100,1,1
100,2,2 100,1,1
100,1,1
100,1,1 100,1,1
100,1,1 100,1,1
100,1,1 100,1,1
100,1,1
100,1,1 100,1,1
100,2,2
100,1,1 100,1,1
100,1,1
100,1,1 100,1,1 100,1,1